# Update of existing webhook

Modification of the existing webhook. The id of the webhook serves as
the identifier. Using just one call, only one webhook can be modified.


Please note that url cannot be longer than 2000 characters.

Endpoint: PATCH /api/webhooks/{id}
Version: a5f39cb
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `id` (integer, required)
    Example: 3

## Header parameters:

  - `Content-Type` (string, required)

## Request fields (application/json):

  - `data` (object, required)

  - `data.url` (string)

  - `data.sendPayload` (string,null)
    When set to full, the webhook notification body will include a payload field with the full entity data. Only supported for events marked as payload-supported in the [Webhook event types](#section/code-lists/webhook-event-types) code list. For other events, this field has no effect.
    Enum: "full", null

## Response 200 fields (application/json):

  - `data` (object,null, required)

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.

## Response 404 fields (application/json):

  - `data` (object,null)

  - `errors` (array,null)

  - `metadata` (object)


